System.Design 1.0.5000.0 2.0.0.0 System.Object System.ComponentModel.IExtenderProvider System.IDisposable System.ComponentModel.ProvideProperty("LoadLanguage", typeof(System.Object)) System.ComponentModel.ProvideProperty("Language", typeof(System.Object)) System.ComponentModel.ProvideProperty("Localizable", typeof(System.Object)) System.Obsolete("use CodeDomLocalizationProvider")

can extend an with a set of properties and methods that provide support for the .NET Framework localization architecture. For more about using resources, see Localization.

The localization support architecture enables designers to initialize component properties using resource files that can be swapped at run time to support a variety of languages, culture-specific styles and dynamically configurable features. You can use the methods of this class to enable designers and code generating serializers to load from resources and build initialization code that uses localization features.

The default serializers that ship with Visual Studio are already capable of localizing components and controls, but they only do so if they locate support for the .NET Framework localization architecture. To detect the presence of localization support, the serialization system must locate a public property named "Localizable" on the root designer component. If a serializer finds this property, it searches for a property of type named "Language" to determine the current resource configuration. Default serializers use these properties to determine if it should localize any localizable resources of the component, and if so, what format the resource information should be saved in.

Provides design-time support for localization features to a root designer.

- Constructor

  By default, a new sets the current language to , which is the generic and default language resource setting. This setting causes a designer to generate code that references the generic language resource. You can create other objects to represent and identify other localized resource data that a program can use at run time.

  Initializes a new instance of the class using the specified service provider and base component.

  A service provider for the specified component.
  The base component to localize.
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added.

  Indicates whether this object can provide its extender properties to the specified object.

  true if this object can provide extender properties to the specified object; otherwise, false.

  The object to receive the extender properties. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Disposes of the resources (other than memory) used by the .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  System.Globalization.CultureInfo ``

  This method returns the current resource culture used to access resource data for the specified object.

  Gets the current resource culture for the specified object.

  A indicating the resource variety.

  The object to get the current resource culture for. 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignOnly(true) System.ComponentModel.Localizable(true)
- Method
  System.Globalization.CultureInfo `` To be added.

  Gets the default resource culture to use when initializing the values of a localized object at design time.

  A indicating the resource culture to use to initialize the values of the specified object.

  The object to get the resource culture for. 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.DesignOnly(true)
- Method
  System.Boolean `` To be added.

  Gets a value indicating whether the specified object supports resource localization.

  true if the specified object supports resource localization; otherwise, false.

  The object to check for localization support. 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignOnly(true) System.ComponentModel.Localizable(true)
- Method
  System.Void ``

  If the specified object was initialized with localized resources when the designer loaded, this method sets the resource culture for the specified object to the resource culture used to initialize the values of the specified object when the designer loaded. If the specified object had no previous resource culture setting, the current resource culture is set to .

  Resets the resource culture for the specified object.

  The object to reset the resource culture for. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Sets the current resource culture for the specified object to the specified resource culture.

  The base component to set the resource culture for. A that indicates the resource culture to use. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Sets a value indicating whether the specified object supports localized resources.

  The base component to set as localizable or not localizable. true if the object supports resource localization; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added.

  Gets a value indicating whether the specified object must have its localizable values persisted in a resource.

  true if the localizable values should be persisted in resources; otherwise, false.

  The object to get the language support persistence flag for. 1.0.5000.0 2.0.0.0